package com.steerinfo.ems.emssafeinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class EmsSafeinfo implements IBasePO<String> {
    @ApiModelProperty(value="",required=true)
    private String id;

    /**
     * 工序(PROCESS,VARCHAR,10)
     */
    @ApiModelProperty(value="工序",required=false)
    private String process;

    /**
     * 创建人(CREATEMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,VARCHAR,10)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,VARCHAR,10)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String updatetime;

    /**
     * 内容(CONTENT,VARCHAR,100)
     */
    @ApiModelProperty(value="内容",required=false)
    private String content;

    /**
     * 文件名(FILENAME,VARCHAR,50)
     */
    @ApiModelProperty(value="文件名",required=false)
    private String filename;

    /**
     * 类型(TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="类型",required=false)
    private String type;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    public String getDates() {
        return dates;
    }

    public void setDates(String dates) {
        this.dates = dates;
    }

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="日期",required=false)
    private String dates;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProcess() {
        return process;
    }

    public void setProcess(String process) {
        this.process = process == null ? null : process.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime == null ? null : updatetime.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename == null ? null : filename.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", process=").append(process);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", content=").append(content);
        sb.append(", filename=").append(filename);
        sb.append(", type=").append(type);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}